---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dexorder-web
  labels:
    app: dexorder-web
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dexorder-web
  template:
    metadata:
      labels:
        app: dexorder-web
      annotations:
        prometheus.io/scrape: "false"
    spec:
      containers:
        - name: dexorder-web
          image: $DEXORDER_WEB_IMAGE
          ports:
            - name: www
              containerPort: 80
              protocol: TCP
          resources:
            requests:
              cpu: 10m
              memory: 100M
